Not applicable
This widget could not be displayed.

QuickBooks 2015 for Mac was specifically developed to be...

QuickBooks 2015 for Mac was specifically developed to be compatible with Mac OS X 10.10 (Yosemite).  Here's one of Intuit's support articles stating our compatibility ...

http://support.quickbooks.intuit.com/support/Articles/INF27086

I'm not sure why the sales department would be saying that, but we'll get that correct asap.  Thanks for letting us know.